summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2014-07-13 16:19:33 +0000
committerUlrich Müller <ulm@gentoo.org>2014-07-13 16:19:33 +0000
commit7f6c1bf2dec18b46f14a495e225613041dcc2248 (patch)
tree403f28b88c6142f5ada0ac71e7ecbb5a968bde6c /eclass
parentRemove deprecated no-color option from eselect call. (diff)
downloadhistorical-7f6c1bf2dec18b46f14a495e225613041dcc2248.tar.gz
historical-7f6c1bf2dec18b46f14a495e225613041dcc2248.tar.bz2
historical-7f6c1bf2dec18b46f14a495e225613041dcc2248.zip
Don't call eselect with obsolete --no-color option.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/gnatbuild.eclass6
2 files changed, 7 insertions, 4 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 107a857c8de0..fbef49de9523 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1319 2014/07/11 08:21:58 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1320 2014/07/13 16:19:33 ulm Exp $
+
+ 13 Jul 2014; Ulrich Müller <ulm@gentoo.org> gnatbuild.eclass:
+ Don't call eselect with obsolete --no-color option.
11 Jul 2014; Ulrich Müller <ulm@gentoo.org> autotools.eclass, base.eclass,
cdrom.eclass, cmake-utils.eclass, cvs.eclass, enlightenment.eclass,
diff --git a/eclass/gnatbuild.eclass b/eclass/gnatbuild.eclass
index 64d708291665..1370f66689bd 100644
--- a/eclass/gnatbuild.eclass
+++ b/eclass/gnatbuild.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnatbuild.eclass,v 1.60 2013/11/25 07:06:23 nerdboy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnatbuild.eclass,v 1.61 2014/07/13 16:19:33 ulm Exp $
#
# Authors: George Shapovalov <george@gentoo.org>
# Steve Arnold <nerdboy@gentoo.org>
@@ -213,7 +213,7 @@ should_we_eselect_gnat() {
# if the current config is invalid, we definitely want a new one
# Note: due to bash quirkiness, the following must not be 1 line
local curr_config
- curr_config=$(eselect --no-color gnat show | grep ${CTARGET} | awk '{ print $1 }') || return 0
+ curr_config=$(eselect gnat show | grep ${CTARGET} | awk '{ print $1 }') || return 0
[[ -z ${curr_config} ]] && return 0
# The logic is basically "try to keep the same profile if possible"